Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.deployment.dataspace
Class DeploymentTarget

    java.lang.Object
      com.bea.dsp.management.deployment.dataspace.DeploymentTarget

All Implemented Interfaces:
  java.io.Serializable

    public class DeploymentTarget

extends java.lang.Object
implements java.io.Serializable

Models a target for the deployment of dataspace client request handlers.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `DeploymentTarget.Kind`
`static class` | `DeploymentTarget.NameComparator`

Constructor Summary
`DeploymentTarget(java.lang.String targetName, DeploymentTarget.Kind targetKind)` Constructor for a deployment target instance.
`DeploymentTarget(java.lang.String targetName, java.lang.String targetKind)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`DeploymentTarget.Kind` | `getKind()`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeploymentTarget

    public DeploymentTarget(java.lang.String targetName,
                            DeploymentTarget.Kind targetKind)

  Constructor for a deployment target instance.

  Parameters:
    `targetName` - The target name. May not be `null`.
    `targetKind` - The target kind. May not be `null`.

### DeploymentTarget

    public DeploymentTarget(java.lang.String targetName,
                            java.lang.String targetKind)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Returns:
    The target name. May not be `null`.

### getKind

    public DeploymentTarget.Kind getKind()

  Returns:
    The target kind. May not be `null`.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.